Skip to main content
GET
ListPrincipalAttributeKeyValues

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

principalAttributeKeyId
string
required

The id of the principal attribute key to list values for.

Query Parameters

principalType
enum<string>
default:PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_UNSPECIFIED
required
Available options:
PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_UNSPECIFIED,
PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_USER,
PRINCIPAL_ATTRIBUTE_PRINCIPAL_TYPE_USER_GROUP
pageSize
integer<int64>

The maximum number of principal attribute values to return. The service may return fewer than this value. If unspecified, at most 50 principal attribute values will be returned. The maximum value is 1000. Values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListPrincipalAttributeKeyValues call. Provide this to retrieve a subsequent page of principal attribute values. When paginating, all other parameters provided to ListPrincipalAttributeKeyValues must match the previous call that provided the page token. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are: 'principal_attribute_value_id', 'principal_attribute_key_id', 'principal_attribute_enum_value_id', 'number_value', 'boolean_value', 'created_date', 'created_by_user_id', 'principal_id', and 'principal_type' For further information about how to use CELs, please refer to this guide. For more information about the fields used for filtering, please refer to this definition. Optional.

orderBy
string

How to order the retrieved principal attribute values. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order_by are created_date If left empty, items are ordered by created_date in ascending order (oldest-first). For more information about the format of this field, read this Example: "created_date desc"

includeArchived
boolean

If true, include archived values. Defaults to false. Optional.

Response

A successful response.

ListPrincipalAttributeKeyValuesResponse returns the list of principal attribute values from a ListPrincipalAttributeKeyValues call.

principalAttributeValues
object[]
required
nextPageToken
string